'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runCommit = exports.promptCommit = undefined;

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

let promptCommit = exports.promptCommit = (() => {
  var _ref = (0, _asyncToGenerator3.default)(function* () {
    const currentBranch = (0, _git.getRepositoryBranch)();

    try {
      const { message } = yield _inquirer2.default.prompt({
        type: 'input',
        name: 'message',
        message: `${currentBranch}:`,
        validate: function (val) {
          return !!val;
        },
        when: function () {
          return true;
        }
      });

      const randomNum = Math.ceil(Math.random() * 10);
      if ([3, 7].includes(randomNum)) {
        console.log(_chalk2.default.yellow('Nailed it!'));
      }

      execCommit(message);

      return { success: true };
    } catch (e) {
      throw e;
    }
  });

  return function promptCommit() {
    return _ref.apply(this, arguments);
  };
})();

let runCommit = exports.runCommit = (() => {
  var _ref2 = (0, _asyncToGenerator3.default)(function* (message) {
    try {
      if (!message) {
        return yield promptCommit();
      }

      return execCommit(message);
    } catch (e) {
      if (e && e.message) {
        console.log(_chalk2.default.magenta(e.message));
        if (e.message.startsWith('Command failed')) {
          console.log(_chalk2.default.yellow('Did you add your changes?'));
        }
      } else {
        console.log(_chalk2.default.yellow('There was an unknown error.'));
      }
      return '';
    }
  });

  return function runCommit(_x) {
    return _ref2.apply(this, arguments);
  };
})();

exports.formatMessage = formatMessage;
exports.execCommit = execCommit;

var _inquirer = require('inquirer');

var _inquirer2 = _interopRequireDefault(_inquirer);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _git = require('./git');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function formatMessage({ message, branch }) {
  return `${branch}: ${message}`;
}

function execCommit(message) {
  const branch = (0, _git.getRepositoryBranch)();
  const commitMessage = formatMessage({ message, branch });
  const result = (0, _git.createCommit)(commitMessage);
  console.log(result);
  return result;
}
//# sourceMappingURL=commit.js.map